/** 
 *   FIXME ....
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 *
 **/

#include <stdio.h>
#include <unistd.h>
#include "iar_bus.h"

/******************************************************************************
 * Functions for de divece side 
 */

int ibus_send( int fd, int addr_to, int action, void *data, int len)
{
	struct ib_packet_head ph;

	ph.addr = IB_ADDR_PK(addr_to) | IB_ACTION_PK(action);
	ph.size = len;
	if ( write(fd, &ph, sizeof(struct ib_packet_head)) <= 0  )
		return -1;
	if ( len > 0 )
		if (write(fd, data, len) <= 0 )
			return -1;

	return 0;
}


