/** 
 *   FIXME ....
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#include <stdio.h>
#include <unistd.h>
#include "iar_bus.h"
#include "socket_client.h"

int main(int argc, const char *argv[]) 
{
	int fd;
	int ret = 1;
	int data;
	int i;
	struct ib_data d;

	//fd = call_socket("127.0.0.1", 2021);
	fd = call_socket_local("test");

	ibus_send( fd, IB_BUS_ADDR, IB_CM_ON, 0, 0);
	//ibus_send( fd, 5, 6, 0, 0);
	data = i = 1;
	ibus_send( fd, IB_BROADCAST_ADDR, IB_CM_MESSAGE, 
		       &data, sizeof(int));
	while(ret > 0 && i < 10000){
		ret = read(fd, &d, sizeof(struct ib_data_head) );
		//printf("From: 0x%08x, len: %3d ret: %d", d.h.addr_from, d.h.size, ret);
		if( d.h.size > 0) {
			//if( d.h.size < IB_PACKET_DATA_LEN)
			//	data[d.h.size] = 0;
			ret = read(fd, &data, sizeof(int));
			i++;
			printf("%d %d\n", i, data);
		}
		//printf("\n");
	}
	if(i == 10000){
		ibus_send( fd, IB_BUS_ADDR, IB_CM_REMOVE, 0, 0);
		//sleep(1);
		close(fd);
	}
	return 0;
}

